<?
include_once("mysql.php");
include_once("inclydings/ini.php");
include_once("inclydings/zag.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");


if(!@file("L2dbnam/esql2db/ali/names/$udata[23].dat") && !@file("L2dbnam/esql2db/ali/$log.dat")){echo"Вы не в альянсе!"; include_once"inclydings/down.php"; exit;}

if(@file("L2dbnam/esql2db/ali/$log.dat") && !@file("L2dbnam/esql2db/ali/names/$log.dat")){
$fp=fopen("L2dbnam/esql2db/ali/names/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$log|\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

switch($go) {

default:
if(@file("L2dbnam/esql2db/ali/$log.dat")){
echo"<li><a href=\"ali.php?$sd\">Управление Альянсом</a><br/>";}
$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

if(@file("L2dbnam/esql2db/ali/$log.dat")){echo"<li><a href=\"aliroom.php?$sd&go=deskto\">Вывесить объявление</a>
<li>
<a href=\"aliroom.php?$sd&go=obuyava\">Удалить объявление</a>
<li>
<a href=\"aliroom.php?$sd&go=site\">Вывесить сайт альянса</a>
<li>
<a href=\"aliroom.php?$sd&go=sitest\">Удалить сайт альянса</a>";
if(@file("L2dbnam/esql2db/ali/kazna/$nali[0].dat")){echo"<br/><li><a href=\"aliroom.php?go=closedel&" . $sd . "\">Разрешить брать деньги</a>";}else{echo"<br/><li><a href=\"aliroom.php?go=close&" . $sd . "\">Запретить брать деньги</a>";}
if(@file("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat")){echo"<br/><li><a href=\"aliroom.php?go=closedel2&" . $sd . "\">Разрешить брать coin of luck</a>";}else{echo"<br/><li><a href=\"aliroom.php?go=close2&" . $sd . "\">Запретить брать coin of luck</a>";}
if(@file("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat")){echo"<br/><li><a href=\"aliroom.php?go=closedel3&" . $sd . "\">Разрешить брать gold</a>";}else{echo"<br/><li><a href=\"aliroom.php?go=close4&" . $sd . "\">Запретить брать gold</a>";}}
echo"<br>";
if(@file("L2dbnam/esql2db/ali/desk/$data[0].dat")){

$text = @file("L2dbnam/esql2db/ali/desk/$data[0].dat");
$text = explode("||",$text[0]);
echo"<br/>";
echo"$text[0]<br/>---<br/>";}

$bank = @file("L2dbnam/esql2db/ali/bank/$data[0].dat");
$bank = explode("||",$bank[0]);
if(empty($bank[0])){$bank[0]="0";}
echo"<br>В казне: $bank[0] [Аден]<br/>";
$coin = @file("L2dbnam/esql2db/ali/coin/$data[0].dat");
$coin = explode("||",$coin[0]);
if(empty($coin[0])){$coin[0]="0";}
echo"В казне: $coin[0] [Coin of Luck]<br/>";
$gold = @file("L2dbnam/esql2db/ali/gold/$data[0].dat");
$gold = explode("||",$gold[0]);
if(empty($gold[0])){$gold[0]="0";}
echo"В казне: $gold[0] [Голд]<br/>";
echo"<hr>";

echo"Положить: [<a href=\"aliroom.php?$sd&go=bankadd\">Аден</a>] [<a href=\"aliroom.php?$sd&go=bankaddcoin\">Coin of Luck</a>] [<a href=\"aliroom.php?$sd&go=bankaddgold\">Голд</a>]<br/>
<hr>
Взять: [<a href=\"aliroom.php?$sd&go=my\">Аден</a>] [<a href=\"aliroom.php?$sd&go=my2\">Coin of Luck</a>] [<a href=\"aliroom.php?$sd&go=my4\">Голд</a>]<br/>
<hr>
Логи: [<a href=\"aliroom.php?$sd&go=logs\">Аден</a>] [<a href=\"aliroom.php?$sd&go=logscoin\">Сoin of Luck</a>] [<a href=\"aliroom.php?$sd&go=logsgold\">Голды</a>]<br/>
<hr>
<a href=\"aliroom.php?$sd&go=who\">Кто в альянсе?</a><br/><hr>";
if(@file("L2dbnam/esql2db/ali/site/$data[0].dat")){

$text = @file("L2dbnam/esql2db/ali/site/$data[0].dat");
$text = explode("||",$text[0]);

echo"<a href=\"$text[0]\">Сайт альянса</a><br/><hr>";}
$file = @file("L2dbnam/esql2db/ali/chat/$data[0].dat");
if(empty($file)){echo"Чат Альянса пуст.";}
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/ali/chat/$data[0].dat");
$file = @array_reverse($file);
$datac = explode("#",$file[$i]);
$i2=round($i+1);

$datac[6]=str_replace("\r\n", "", $datac[6]);

$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$datac[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
if(!empty($datac[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$datac[1]\"><font color=lime>$datac[1]</font></a> ($datac[2] $datac[3]) - $datac[0]";}
}else{
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$datac[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
if(!empty($datac[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$datac[1]\"><font color=blue>$datac[1]</font></a> ($datac[2]/$datac[3]) - $datac[0]";}
}else{
if(@file("L2dbnam/esql2db/rating/olimpiads/$dataс[1].dat")){
if(!empty($datac[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$datac[1]\"><font color=#C71585>$datac[1]</font></a> ($datac[2]/$datac[3]) - $datac[0]";}
}else{
if(!empty($datac[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$datac[1]\">$datac[1]</a> ($datac[2]/$datac[3]) - $datac[0]";}}}}}
echo "<br/><b>---</b>";
echo "<form action=\"aliroom.php?$sd&go=add\" method=\"post\"><br/><input name=\"msg$ref\" maxlength=\"200\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\"/>";
echo '<input type="submit" value="Написать" /></form>';

if ($start != 0) {echo '<a href="aliroom.php?start='.($start - 5).'&'.$sd.'">Назад</a> ';}else{echo'---<br/>';}

if ($total > $start + 5) {echo ' <a href="aliroom.php?start='.($start + 5).'&'.$sd.'">Далее</a>';}

echo"<br/><a href=\"aliroom.php?$sd&ref=$ref\">Обновить</a><br/>";



break;
case 'obuyava':
unlink("L2dbnam/esql2db/ali/desk/$log.dat");
echo"Обьявление удалено</a></br>";


break;
case 'sitest':
unlink("L2dbnam/esql2db/ali/site/$log.dat");
echo"Сайт удалён</a></br>";


break;

case 'close2':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно запретили брать coin of luck";
break;

case 'close4':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно запретили брать gold";
break;
case 'closedel2':

if(@file("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat")){
$text = @file("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat")){
@unlink ("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat");
echo"Вы успешно открыли казну coin of luck";}}

break;
case 'closedel3':

if(@file("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat")){
$text = @file("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat")){
@unlink ("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat");
echo"Вы успешно открыли казну gold";}}

break;
case 'closedel':

if(@file("L2dbnam/esql2db/ali/kazna/$nali[0].dat")){
$text = @file("L2dbnam/esql2db/ali/kazna/$nali[0].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/ali/kazna/$nali[0].dat")){
@unlink ("L2dbnam/esql2db/ali/kazna/$nali[0].dat");
echo"Вы успешно открыли казну денег";}}

break;

case 'close':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/ali/kazna/$nali[0].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно запретили брать деньги из казны альянса";


break;

case 'site':

if(!@file("L2dbnam/esql2db/ali/$log.dat")){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

echo "<form action=\"aliroom.php?go=go&".$sd."&go=addsite\" method=\"post\">Текст:<br/>";
echo "<input name=\"text\" maxlength=\"100\" value=\"http://\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';



break;
case 'deskto':

if(!@file("L2dbnam/esql2db/ali/$log.dat")){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

echo "<form action=\"aliroom.php?go=go&".$sd."&go=desksave\" method=\"post\">Текст:<br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;


case 'addsite':

if(!@file("L2dbnam/esql2db/ali/$log.dat")){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));


$go="$text||";

$fp=fopen("L2dbnam/esql2db/ali/site/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/ali/site/$log.dat", 0666);
echo"Сайт размещен.";

break;

case 'desksave':

if(!@file("L2dbnam/esql2db/ali/$log.dat")){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));

$go="$text||";

$fp=fopen("L2dbnam/esql2db/ali/desk/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Объявление размещено.";
break;

case 'add':

$u1=getenv('HTTP_USER_AGENT');
$brow=strtok($u1,'/');
if (getenv("HTTP_X_FORWARDED_FOR"))
{ $ip=getenv("HTTP_X_FORWARDED_FOR"); }
else { $ip=$_SERVER['REMOTE_ADDR']; }


$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes($brow));
$brow=str_replace("|","",$brow);
$ip=str_replace("|","",$ip);
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

require_once "inclydings/flood.php";
if (CheckIP ()){ echo"Антифлуд..."; echo "</p></card></wml>"; exit;}
require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}


$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);

$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("\\","",$msg);
$msg=str_replace("/","",$msg);
$msg=str_replace("|","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("&","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace(">","",$msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
//////////////////////////////////
if ($msg == "" || strlen($msg) > 250 || strlen($msg) < 1) { echo"Сообщение длинное или короткое!"; echo "</p></card></wml>"; exit;}

$date=date("d.m.y");
$time=date("H:i");
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($elita)==1){
$msg="<font color=red>$msg</font>";}


$text="$msg#$log#$date#$$time#";
$text=str_replace("\r\n", "", $text);

$textt = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$textt[0]);
$fp=fopen("L2dbnam/esql2db/ali/chat/$data[0].dat","a");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("L2dbnam/esql2db/ali/chat/$data[0].dat"); $i = count($file);
if ($i>=100) {
$fp=fopen("L2dbnam/esql2db/ali/chat/$data[0].dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}



echo"Сообщение добавлено!";
echo"<br/><a href=\"aliroom.php?$sd&ref=$ref\">Продолжить</a><br/>";
break;

case 'bankaddgold':
if($udata[95]=="Пусто"){echo'У вас нету <img src="pik4erspic/mini/gold1.png" alt="pic"/><br/>';include_once"inclydings/down.php"; exit;}
echo "<form action=\"aliroom.php?go=go&".$sd."&go=addbankgold\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'addbankgold':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$gold=$data[0];

if($udata[95]<$_POST[kol]){echo"У вас нет $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/ali/gold/$gold.dat");
$udata = explode("||",$fal[0]);
$udata[0]=$udata[0]+$_POST[kol];
$text="$udata[0]||";
$fp=fopen("L2dbnam/esql2db/ali/gold/$gold.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[95]=$udata[95]-$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("L2dbnam/esql2db/ali/logsgold/$gold.dat","a+");
fputs($fp,"$log положил $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);

echo" Вы успешно вложили в капитал альянса $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>";


break;

case 'bankaddcoin':

echo "<form action=\"aliroom.php?go=go&".$sd."&go=addbankcoin\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';



break;

case 'bankadd':

echo "<form action=\"aliroom.php?go=go&".$sd."&go=addbank\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'addbankcoin':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$coin=$data[0];

if($udata[14]<$_POST[kol]){echo"У вас нет $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/ali/coin/$coin.dat");
$udata = explode("||",$fal[0]);
$udata[0]=$udata[0]+$_POST[kol];
$text="$udata[0]||";
$fp=fopen("L2dbnam/esql2db/ali/coin/$coin.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[14]=$udata[14]-$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("L2dbnam/esql2db/ali/logscoin/$coin.dat","a+");
fputs($fp,"$log положил $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);

echo" Вы успешно вложили в капитал альянса $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>";

break;

case 'addbank':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$bank=$data[0];

if($udata[8]<$_POST[kol]){echo"У вас нет $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/ali/bank/$bank.dat");
$udata = explode("||",$fal[0]);
$udata[0]=$udata[0]+$_POST[kol];
$text="$udata[0]||";
$fp=fopen("L2dbnam/esql2db/ali/bank/$bank.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[8]=$udata[8]-$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("L2dbnam/esql2db/ali/logs/$bank.dat","a+");
fputs($fp,"$log положил $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);

echo" Вы успешно вложили в капитал альянса $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>";
break;

case 'my4':
if(@file("L2dbnam/esql2db/ali/kaznagold/$nali[0].dat")){echo"Глава альянса запретил брать <img src='pik4erspic/mini/gold1.png' alt='pic'/>"; include_once"inclydings/down.php"; exit;}
echo "<form action=\"aliroom.php?go=go&".$sd."&go=mybank4\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;


case 'mybank4':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$gold=$data[0];
$fal = @file("L2dbnam/esql2db/ali/gold/$gold.dat");
$udata = explode("||",$fal[0]);
if($_POST[kol]>$udata[0]){echo"У клана нет столько <img src='pik4erspic/mini/gold1.png' alt='pic'/>!"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/ali/gold/$gold.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/ali/gold/$gold.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[95]=$udata[95]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("L2dbnam/esql2db/ali/logsgold/$gold.dat","a+");
fputs($fp,"$log взял $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);

echo"Вы успешно взяли $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>";
break;

case 'my2':
if(@file("L2dbnam/esql2db/ali/kaznacoin/$nali[0].dat")){echo"Глава альянса запретил брать <img src='pik4erspic/mini/gold.gif' height=13 width=13>"; include_once"inclydings/down.php"; exit;}
echo "<form action=\"aliroom.php?go=go&".$sd."&go=mybank2\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';
break;


case 'mybank2':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$coin=$data[0];
$fal = @file("L2dbnam/esql2db/ali/coin/$coin.dat");
$udata = explode("||",$fal[0]);
if($_POST[kol]>$udata[0]){echo"У клана нет столько <img src='pik4erspic/mini/gold.gif' height=13 width=13>!"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/ali/coin/$coin.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/ali/coin/$coin.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[14]=$udata[14]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("L2dbnam/esql2db/ali/logscoin/$coin.dat","a+");
fputs($fp,"$log взял $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);

echo"Вы успешно взяли $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>";

break;

case 'my':
if(@file("L2dbnam/esql2db/ali/kazna/$nali[0].dat")){echo"Глава альянса запретил брать <img src='pik4erspic/mini/aden.gif' alt='pic'/>"; include_once"inclydings/down.php"; exit;}
echo "<form action=\"aliroom.php?go=go&".$sd."&go=mybank\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;


case 'mybank':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$bank=$data[0];
$fal = @file("L2dbnam/esql2db/ali/bank/$bank.dat");
$udata = explode("||",$fal[0]);
if($_POST[kol]>$udata[0]){echo"У клана нет столько <img src='pik4erspic/mini/aden.gif' alt='pic'/>!"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/ali/bank/$bank.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/ali/bank/$bank.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[8]=$udata[8]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("L2dbnam/esql2db/ali/logs/$bank.dat","a+");
fputs($fp,"$log взял $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);

echo"Вы успешно взяли $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>";

break;

case 'logs':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$logs=$data[0];

$fal = @file("L2dbnam/esql2db/ali/logs/$logs.dat");
if(!$fal){echo"Лог пуст!";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"$data[0]<br/>";}

if ($start != 0) {echo '<a href="aliroom.php?start='.($start - 5).'&'.$sd.'&go=logs">Назад</a> ';}else{echo'- - -<br/>';}

if ($total > $start + 5) {echo ' <a href="aliroom.php?start='.($start + 5).'&'.$sd.'&go=logs">Далее</a>';}


break;

case 'logscoin':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$logscoin=$data[0];

$fal = @file("L2dbnam/esql2db/ali/logscoin/$logscoin.dat");
if(!$fal){echo"Лог пуст!";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"$data[0]<br/>";}

if ($start != 0) {echo '<a href="aliroom.php?start='.($start - 5).'&'.$sd.'&go=logscoin">Назад</a> ';}else{echo'- - -<br/>';}

if ($total > $start + 5) {echo ' <a href="aliroom.php?start='.($start + 5).'&'.$sd.'&go=logscoin">Далее</a>';}

break;

case 'logsgold':

$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$logsgold=$data[0];

$fal = @file("L2dbnam/esql2db/ali/logsgold/$logsgold.dat");
if(!$fal){echo"Лог пуст!";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"$data[0]<br/>";}

if ($start != 0) {echo '<a href="aliroom.php?start='.($start - 5).'&'.$sd.'&go=logsgold">Назад</a> ';}else{echo'- - -<br/>';}

if ($total > $start + 5) {echo ' <a href="aliroom.php?start='.($start + 5).'&'.$sd.'&go=logsgold">Далее</a>';}


break;

case 'who':


$text = @file("L2dbnam/esql2db/ali/names/$udata[23].dat");
$data = explode("|",$text[0]);

$clans=$data[0];

$fal = @file("L2dbnam/esql2db/ali/clans/$clans.dat");
if(!$fal){echo"В альянсе никого нет.<br/>";}
$total=count($fal);

for($i=0; $i<$total; $i++){

$data = explode("|",$fal[$i]);

$i2=$i+1;

echo"<b>$i2.</b> $data[1]<br/>";}


break;

}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>
